SwordTrail = {}
SwordTrail.__index = SwordTrail

function SwordTrail.LoadAssets(me)
	LoadModel(me,"Square","Billboard")
end

function SwordTrail:Params(me)
	SetMaxSize(me,1500)
	EmitterStayAlive(me,true)
	
end

function SwordTrail:Update(me)
	EmitterGlobalAlpha(me,1 - GetOverSoul()/100)
	TrailLine(me, pBegin, 10,5)
end